Python Language Attraper une exception personnalisée


Exemple

Cet exemple montre comment intercepter une exception personnalisée

class CustomError(Exception):
     pass

try:
    raise CustomError('Can you catch me ?')
except CustomError as e:
    print ('Catched CustomError :{}'.format(e))
except Exception as e:
    print ('Generic exception: {}'.format(e))

Sortie:

Catched CustomError :Can you catch me ?